path: /build/build/nvidia-555-kernel-modules-kernel-5.15-555.58.02+1.package.tar.zst
dependencies: []
compilespec:
  steps:
  - eval 'mkdir -p /etc/portage/patches/x11-drivers/nvidia-kernel-modules/ || true'
    && sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - rm /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild -vf
    && rm /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    -vf && anise repo update && anise upgrade -y && anise i -y x11-drivers-555/nvidia-drivers
    && anise cleanup && emerge =x11-drivers/nvidia-kernel-modules-555.58.02 -pv -t
  - |
    emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-555.58.02
  - |
    eval 'rm -rf /nvidia-555-kernel-modules || true' && mkdir /nvidia-555-kernel-modules && \
    luet-portage --dir /nvidia-555-kernel-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-555-kernel-modules/lib/modules/nvidia/555.58.02/5.15.166-macaroni/video/*.ko
    ; do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:1a3e8478a3894c57b897747a12ce44d547fe88bdbc34084912a1a0b956472234
  package:
    name: nvidia-555-kernel-modules
    version: 555.58.02+1
    category: kernel-5.15
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.15
    annotations:
      kernel_module: true
    buildtimestamp: 2024-09-11 12:48:48.470990218 +0000 UTC m=+700.868247439
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.15.166
      original.package.slot: "555"
      original.package.version: 555.58.02
    treedir: /build/packages
  package_dir: /nvidia-555-kernel-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c34f793de89bbd6773d6d6787c31190688d8a33bd2adb1b86cb9843c8f89b4a6
compressiontype: zstd
files:
- lib/modules/nvidia/555.58.02/5.15.166-macaroni/video/nvidia-drm.ko.zst
- lib/modules/nvidia/555.58.02/5.15.166-macaroni/video/nvidia-modeset.ko.zst
- lib/modules/nvidia/555.58.02/5.15.166-macaroni/video/nvidia-uvm.ko.zst
- lib/modules/nvidia/555.58.02/5.15.166-macaroni/video/nvidia.ko.zst
package_cacheimage: ""
runtime:
  name: nvidia-555-kernel-modules
  version: 555.58.02+1
  category: kernel-5.15
  requires:
  - name: gpu-configurator
    version: '>=0'
    category: app-admin
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.15.166
    original.package.slot: "555"
    original.package.version: 555.58.02
